%!TEX root=../thesis.tex
%!TEX file=tables/sigmoid-functions.tex

\begin{tabular}[t]{
  p{0.175\textwidth}
  % |
  p{0.450\textwidth}
  % |
  p{0.125\textwidth}
  % |
  % p{0.125\textwidth}
}
  \toprule
  Name
    & Equation
    & Continuity
    % & Validity
    \\
    \midrule
  Heaviside
    & %\begin{minipage}[t]{\linewidth}
        $
          \begin{aligned}[t]
            \heaviside_{\ms{H}} \of{x}
              & = \begin{cases}
                    0 \,
                    ,
                      & x < 0 \,
                      ,
                      \\
                    1 \,
                    ,
                      & x \geq 0 \,
                      ,
                  \end{cases}
          \end{aligned}
        $
      % \end{minipage}
    & $C^{-1}$
    % & $x \in \mathds{R}$
    \\
  Half-Maximum Heaviside
    & %\begin{minipage}[t]{\linewidth}
        $
          \begin{aligned}[t]
            \heaviside_{\ms{HHM}} \of{x}
              & = \begin{cases}
                    0 \,
                    ,
                      & x < 0 \,
                      ,
                      \\
                    \frac{1}{2} \,
                    ,
                      & x \equiv 0 \,
                      ,
                      \\
                    1 \,
                    ,
                      & x > 0 \,
                      ,
                  \end{cases}
          \end{aligned}
        $
      % \end{minipage}
    & $C^{-1}$
    % & $x \in \mathds{R}$
    \\
  Analytic Heaviside
    & %\begin{minipage}[t]{\linewidth}
        $
          \begin{aligned}[t]
            \heaviside_{\ms{HA}} \of{x}
              & = \frac{
                    1
                  }{
                    2
                  } \,
                  \parentheses*{
                    1
                    +
                    \ptanh{
                      k \,
                      x
                    }
                  }
              \\
              & = \frac{
                    1
                  }{
                    1
                    +
                    \pexp*{
                      -2 \,
                      k \,
                      x
                    }
                  }
          \end{aligned}
        $
      % \end{minipage}
    & $C^{\infty}$
    % & $x \in \mathds{R}$
    \\
  Logistic curve / Richard's curve 
    & %\begin{minipage}[t]{\linewidth}
        $
          \begin{aligned}[t]
            \heaviside_{\ms{L}} \of{x}
              & = \frac{
                    1
                  }{
                    \pow*[1 / \nu]{
                      C
                      +
                      Q \,
                      \pexp*{
                        -B \,
                        x
                      }
                    }
                  } \,
                  ,
          \end{aligned}
        $
      % \end{minipage}
    & $C^{\infty}$
    % & $x \in \mathds{R}$
    \\
  Non-analytic smooth function
    & $
      \begin{aligned}[t]
        \heaviside_{\ms{NaSF}} \of{x}
          & = \frac{
                g \of{x}
              }{
                g \of{x}
                +
                g \of{1 - x}
              }
            \\
        g \of{x}
          & = \begin{cases}
                \pexp*{
                  -\frac{
                    1
                  }{
                    x
                  }
                } \,
                ,
                  & x > 0 \,
                  ,
                  \\
                0 \,
                ,
                  & x \leq 0 \,
                  ,
              \end{cases}
      \end{aligned}
      $
    & $C^{\infty}$
    % & $x \in \interval{0}{1}$
    \\
  \bottomrule
\end{tabular}
